import spark.servlet.SparkApplication;
import webapp.Start;

import spark.xtra.Routes;

/**
 * Hoofdprogramma voor een minimale webtoepassing
 */
public class Main  implements SparkApplication {

    /**
     * In deze methode gebeurt alle initialisatie: bijkomende configuratie en aangeven van de routes
     */
    @Override
    public void init() {
        Routes.get("/", Start.class, "index");
    }

    /**
     * Het hoofdprogramma lanceert de webtoepassing
     */
    public static void main(String[] args) {
        new Main().init();
    }
}
